Support » Plugin: Total Upkeep – WordPress Backup Plugin plus Restore & Migrate by BoldGrid » Warning messages after plugin activation

  • Resolved David

    (@davidki)


    Hello.

    After plugin activating I see these warning messages on top of every page in administration:

    Warning: popen() has been disabled for security reasons in /data/web/virtuals/189768/virtual/www/wp-content/plugins/boldgrid-backup/admin/class-boldgrid-backup-admin-cli.php on line 133

    Warning: fread() expects parameter 1 to be resource, null given in /data/web/virtuals/189768/virtual/www/wp-content/plugins/boldgrid-backup/admin/class-boldgrid-backup-admin-cli.php on line 135

    Warning: pclose() expects parameter 1 to be resource, null given in /data/web/virtuals/189768/virtual/www/wp-content/plugins/boldgrid-backup/admin/class-boldgrid-backup-admin-cli.php on line 142

    Warning: popen() has been disabled for security reasons in /data/web/virtuals/189768/virtual/www/wp-content/plugins/boldgrid-backup/admin/class-boldgrid-backup-admin-cli.php on line 133

    Warning: fread() expects parameter 1 to be resource, null given in /data/web/virtuals/189768/virtual/www/wp-content/plugins/boldgrid-backup/admin/class-boldgrid-backup-admin-cli.php on line 135

    Warning: pclose() expects parameter 1 to be resource, null given in /data/web/virtuals/189768/virtual/www/wp-content/plugins/boldgrid-backup/admin/class-boldgrid-backup-admin-cli.php on line 142

    Warning: Cannot modify header information – headers already sent by (output started at /data/web/virtuals/189768/virtual/www/wp-content/plugins/boldgrid-backup/admin/class-boldgrid-backup-admin-cli.php:133) in /data/web/virtuals/189768/virtual/www/wp-admin/includes/misc.php on line 1196

    Can you fix it, please?

    Thank you, David

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Brad Markle

    (@bwmarkle)

    Hi @davidki Sorry to hear about the warnings you’re getting when activating the BoldGrid Backup plugin, and I appreciate you bringing them to our attention! This should be something we can resolve relatively quickly.

    I’ll keep you updated.

    Thanks,
    – Brad

    Plugin Author Brad Markle

    (@bwmarkle)

    Hi @davidki I took some time this morning to troubleshoot and fix the Warning: popen() has been disabled for security reasons warning that you reported. This fix is available in BoldGrid Backup 1.10.4. Are you able to upgrade to BoldGrid Backup 1.10.4, test again, and let us know if this resolves the issue for you?

    If you’re interested in the code side of things, it turns out that popen is disabled on your server however our code was not properly removing it from the list of available functions. The fix was pretty straight forward: https://github.com/BoldGrid/boldgrid-backup/commit/7c0766ff92cae635f1ec5330edc8d2d495ebe563#diff-e64073962bf08443ce8c43884b81b091R68

    Hopefully this resolves the issue and we hear back from you soon.

    Thanks!
    – Brad

    Plugin Author Brad Markle

    (@bwmarkle)

    Hi @davidki did the 1.10.4 release resolve this issue for you? If so, could you mark this support topic as resolved?

    Yes, thank you.

    Plugin Author Brad Markle

    (@bwmarkle)

    Thanks @davidki We really appreciate you taking the time to report the bug, and helping us test and confirm it was resolved. If you need anything else, just let us know!

Viewing 5 replies - 1 through 5 (of 5 total)
  • You must be logged in to reply to this topic.